
Summary: TV-Browser is a java-based TV guide.
Summary(de): TV-Browser ist eine Java basierende TV Zeitung.
Name: tvbrowser
Version: 4.2.7
Release: %mkrel 1
License: GPL
Group: Video
URL: http://www.tvbrowser.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Source0: %{name}-%{version}.tar.xz
Requires: java
BuildArch: noarch



%description
TV-Browser is a java-based TV guide which is easily extensible using plugins.
It is designed to look like a paper based TV guide.

%description -l de
TV-Browser ist ein auf Java basierender Programmführer, welcher einfach mit 
Erweiterungen ausgebaut werden kann. Er wurde einer Programmzeitschrift nachempfunden. 

%prep

%setup -q -n %{name}-%{version}


%install
export DONT_STRIP=1
rm -rf %{buildroot}

#data
%{__install} -dm 755 %{buildroot}%{_libdir}/tvbrowser
cp -af * %{buildroot}%{_libdir}/tvbrowser


# launcher
mkdir -p %buildroot%_bindir
cat > %buildroot%_bindir/%{name} << EOF
#!/bin/sh
cd %{_libdir}/%{name}
#LD_PRELOAD=libglib-2.0.so ./tvbrowser.sh
./tvbrowser.sh
cd /
EOF
chmod a+x %{buildroot}%{_bindir}/%{name}


#menu
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=TV Browser
Comment=A java-based TV guide
Comment[de]=Eine Java basierende TV Zeitung
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-Multimedia-Video;
EOF

#icons
%{__install} -dm 755 %{buildroot}%{_datadir}/pixmaps
%{__install} -m 644 imgs/tvbrowser48.png \
%{buildroot}%{_datadir}/pixmaps/%{name}.png
mkdir -p %buildroot/{%_miconsdir,%_iconsdir}
convert  imgs/tvbrowser48.png -resize 16x16 %buildroot/%{_miconsdir}/%{name}.png
convert imgs/tvbrowser48.png -resize 32x32 %buildroot/%{_iconsdir}/%{name}.png

# remove 
rm -f %{buildroot}/%{_libdir}/%{name}/*.txt
rm -f %{buildroot}/%{_libdir}/%{name}/*.desktop

%clean
rm -rf %{buildroot}


%files
%doc *.txt
%defattr(-, root, root)
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_libdir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/icons/mini/%{name}.png
%{_datadir}/icons/%{name}.png

%changelog
* Tue Jun 20 2023 tex - 4.2.7-1pclos2023
- new version

* Mon Jan 27 2020 tex - 4.2.1-1pclos2020
- new version

* Sat Nov 07 2015 bb <bb> 3.4-3pclos2015
- remove LD_PRELOAD=libglib-2.0.so for fixed glib-2.46.2

* Fri Oct 08 2015 bb <bb> 3.4-2pclos2015
- add LD_PRELOAD=libglib-2.0.so for broken glib-2.46.0

* Tue Jul 22 2014 ghostbunny <ghostbunny at gmx dot de> 3.4-1pclos2015
- update

* Fri Nov 22 2013 pinoc <vogtpet at gmail.com> 3.3.3-1pclos2013
- 3.3.3

